Python
import requests
url = "https://app.langwatch.ai/api/dataset/{slugOrId}/records"
payload = { "recordIds": ["<string>"] }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({recordIds: ['<string>']})
};
fetch('https://app.langwatch.ai/api/dataset/{slugOrId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/dataset/{slugOrId}/records \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"recordIds": [
"<string>"
]
}
'Datasets
Delete records from a dataset by IDs
Delete records from a dataset by IDs
DELETE
/
api
/
dataset
/
{slugOrId}
/
records
Python
import requests
url = "https://app.langwatch.ai/api/dataset/{slugOrId}/records"
payload = { "recordIds": ["<string>"] }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({recordIds: ['<string>']})
};
fetch('https://app.langwatch.ai/api/dataset/{slugOrId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/dataset/{slugOrId}/records \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"recordIds": [
"<string>"
]
}
'Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Body
application/json
Required array length:
1 - 1000 elementsWas this page helpful?
⌘I